Agents

Get a published agent version (Preview)

Preview · Available to selected organizations. Returns the immutable definition of one published version. Use this endpoint to get a published agent version through the Samva email API.

GET
/v1/agents/{id}/versions/{version}

Returns the immutable definition of one published version.

x-api-key<token>

In: header

Path Parameters

id*string
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$
version*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string/versions/string"
{  "agentId": "string",  "version": -9007199254740991,  "definition": {    "instructions": "string",    "knowledge": "string",    "endpointIds": [      "string"    ],    "integrationIds": [      "string"    ],    "mode": "live",    "model": "standard",    "approvalPolicy": "toolActions",    "workingHours": {      "timeZone": "string",      "ranges": [        {          "day": "monday",          "opens": "string",          "closes": "string"        }      ]    },    "takeoverTimeoutMinutes": 1  },  "publishedAt": "string"}

Related documentation